Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultRealVirtualIngredientType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.virtual.common.RealVirtualIngredientKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultRealVirtualIngredientType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-09-25T04:47:05+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultRealVirtualIngredientType

extends RealVirtualIngredientKeyType
implements Serializable

Java class for ConsultRealVirtualIngredientType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRealVirtualIngredientType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:virtual:common}RealVirtualIngredientKeyType">
           <sequence>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v3:core}IngredientTypeType"/>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v3:core}StrengthRangeType" minOccurs="0"/>
             <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v3}SubstanceWithStandardsType"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultRealVirtualIngredientType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`StrengthRangeType` | `getStrength()` Gets the value of the strength property.
`SubstanceWithStandardsType` | `getSubstance()` Gets the value of the substance property.
`String` | `getType()` Gets the value of the type property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStrength(StrengthRangeType value)` Sets the value of the strength property.
`void` | `setSubstance(SubstanceWithStandardsType value)` Sets the value of the substance property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.virtual.common.RealVirtualIngredientKeyType
`getSequenceNr, setSequenceNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultRealVirtualIngredientType

    public ConsultRealVirtualIngredientType()

Method Detail

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getStrength

    public StrengthRangeType getStrength()

  Gets the value of the strength property.

  Returns:
    possible object is `StrengthRangeType`

### setStrength

    public void setStrength(StrengthRangeType value)

  Sets the value of the strength property.

  Parameters:
    `value` - allowed object is `StrengthRangeType`

### getSubstance

    public SubstanceWithStandardsType getSubstance()

  Gets the value of the substance property.

  Returns:
    possible object is `SubstanceWithStandardsType`

### setSubstance

    public void setSubstance(SubstanceWithStandardsType value)

  Sets the value of the substance property.

  Parameters:
    `value` - allowed object is `SubstanceWithStandardsType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.